'use strict';

var _uiCore = require('@servicenow/ui-core');

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _uiCore.createCustomElement)('test-key-binding', {
	behaviors: [{
		behavior: _2.default,
		options: {
			keyBindings: {
				keyStringHandler: 'ArrowUp',
				keyArrayHandler: ['ArrowLeft', 'ArrowRight'],
				payloadHandler: 'Escape'
			},
			handlers: {
				keyStringHandler: (host, event, dispatch) => {
					dispatch('NOW_KEY_BINDING#STRING');
				},
				keyArrayHandler: (host, event, dispatch) => {
					dispatch('NOW_KEY_BINDING#ARRAY');
				},
				payloadHandler: (host, event, dispatch) => {
					dispatch('NOW_KEY_BINDING#PAYLOAD', { host: host, event: event });
				}
			}
		}
	}]
});